import request from '../utils/request.js';
 import request2 from '../utils/requestParking.js';
 
 
 export function personalCenter(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/regUser/personalCenter'
 	})
 }
 
 export function updateContractSignTime(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/regUser/updateContractSignTime'
 	})
 }
 
 
 
 export function readyToTimingCharging(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/chargingCar/readyToTimingCharging'
 	})
 }
 
 export function lockDown(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/chargingCar/lockDown'
 	})
 }
 
 
 export function getTemporaryCarNumByOpenId(data) {
 	return request2({
 		method: 'post',
		data: {
			openId:data
		},
		timeout:5*1000,
 		url: '/parkingRecord/getTemporaryCarNumByOpenId'
 	})
 }
 
 
 
 
 
 export function chargingDetail(data) {
 	return request({
 		method: 'get',
 		data: data,
 		url: '/mobile/chargingCar/chargingDetail'
 	})
 }
 
 
export function chargingDeviceGunDetail(data) {
	return request({
		method: 'get',
		data: data,
		url: '/mobile/chargingCar/chargingDeviceGunDetail'
	})
}
export function readyToCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/chargingCar/readyToCharging'
	})
}



export function startCarCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/command/startCarCharging'
	})
}

export function stopCarCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/command/stopCarCharging'
	})
}

export function getRateByRecordId(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/quickChargeActivity/getRateByRecordId'
	})
}

export function useCoupon(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/chargingCouponApi/useCoupon'
	})
}


 
 export function userCard(data) {
 	return request({
 		method: 'get',
 		data: data,
 		url: '/mobile/regUserCard/userCard'
 	})
 }
 